#include <avr/io.h>     // Definitionen laden
#include <util/delay.h>
#include "KeyChecker.h"

KeyChecker::KeyChecker(){
}

void KeyChecker::checkKeys(){         // Tastaturabfr.
  unsigned char keyTest,tmp; 
  keyEnter = 0, keyExit = 0; 
  keyTest = ~PIND>>4; // Einlesen
  if (keyOld != keyTest){             // hat sich was getan 
    _delay_ms(20);                    // Prellen abwarten 
    tmp = ~PIND>>4;   // noch mal Einlesen
    if (tmp == keyTest){              // ist es stabil? 
      keyEnter = (~keyOld) & keyTest; // steig. Fl. !alt und neu 
      keyExit = keyOld & (~keyTest);  // fall. Fl. alt und !neu 
      keyOld = keyTest; 
    } 
  } 
}

unsigned char KeyChecker::getEnter(){
  return keyEnter;
}

unsigned char KeyChecker::getExit(){
  return keyExit;
}
