#include <avr/io.h>       // Definitionen laden
#include <util/delay.h>   // CPU Frequenz einstellen!
#include "KeyChecker.h"   // Header einbinden
 
int main(){         // Hauptprogramm 
  PORTB=0xe0;       // alle LED aus 
  DDRB=0xff;        // PB als Ausgang
  PIND=0x7f;        // PullUps an
  KeyChecker kCheck = KeyChecker();
  while(1){                       // Endlosschleife 
    kCheck.checkKeys();           // Tasten abfragen
    if(kCheck.getEnter()&1){      // Taste 0 gedrueckt?
      PINB=1;                     // LED an PB0 invertieren
    }
    if(kCheck.getEnter()&2){      // Taste 1 gedrueckt?
      PINB=2;                     // LED an PB1 invertieren
    }
  } 
}
